std::const_mem_fun_t< _Ret, _Tp > Class Template Reference
Adaptors for pointers to members
Inheritance diagram for std::const_mem_fun_t< _Ret, _Tp >:
[legend]

## Public Types

typedef const _Tp * | argument_type
typedef _Ret | result_type

## Public Member Functions

| const_mem_fun_t (_Ret(_Tp::*__pf)() const)
_Ret | operator() (const _Tp *__p) const

## Detailed Description

### template<typename _Ret, typename _Tp>
class std::const_mem_fun_t< _Ret, _Tp >

One of the adaptors for member pointers.

Definition at line 560 of file stl_function.h.

## Member Typedef Documentation

typedef const _Tp * std::unary_function< const _Tp * , _Ret >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 104 of file stl_function.h.

typedef _Ret std::unary_function< const _Tp * , _Ret >::result_type

inherited

`result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h